Package com.smartgwt.client.bean

# Class BeanFactoryForBaseWidget<BeanClass extends BaseWidget>

java.lang.Object
com.smartgwt.client.bean.BeanFactory<BeanClass>
com.smartgwt.client.bean.BeanFactoryForBaseWidget<BeanClass>

public abstract class BeanFactoryForBaseWidget<BeanClass extends BaseWidget> extends BeanFactory<BeanClass>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanFactory

  `BeanFactory.AnnotationMetaFactory, BeanFactory.CanvasMetaFactory, BeanFactory.FormItemMetaFactory, BeanFactory.FrameworkClass, BeanFactory.Generate, BeanFactory.MetaFactory, BeanFactory.ScClassName`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.bean.BeanFactory

  `properties, sgwtFactory, superclassFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanFactoryForBaseWidget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `applyFactoryProperties(BeanClass bean)`
  `JavaScriptObject`
  `doGetOrCreateJsObj(Object bean)`
  `void`
  `doSetJsObj(Object bean, JavaScriptObject jsObj)`
  `protected Object`
  `getJavascriptProperty(BeanClass bean, String property)`
  `boolean`
  `isFactoryCreated(BeanClass bean)`
  `protected void`
  `setJavascriptProperty(BeanClass bean, String propertyName, Object value)`
  `protected void`
  `setNativeAttribute(JavaScriptObject config, String propertyName, Object value)`
  `protected void`
  `setNativeProperty(BeanClass bean, String propertyName, Object value)`

  ### Methods inherited from class com.smartgwt.client.bean.BeanFactory

  `clearFactoryProperties, createSuperclassFactory, doGetProperty, doGetPropertyAsString, doNewInstance, doSetProperties, doSetProperty, getAttributes, getAttributes, getAttributes, getBeanClass, getBeanClassName, getDefaultScClassName, getDefaultScClassName, getFactory, getFactory, getFactory, getFactoryProperties, getFactoryPropertiesClass, getMethods, getOrCreateJsObj, getProperties, getProperty, getPropertyAsString, getSGWTModule, getSuperclass, isFrameworkClass, isFrameworkClass, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, noFactoryException, noFactoryException, registerClassNameWithSGWTFactory, registerFactory, registerValueTypes, setJsObj, setProperties, setProperty, triggerStaticInitializers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanFactoryForBaseWidget

    public BeanFactoryForBaseWidget()

- ## Method Details

  - ### setJavascriptProperty

    protected void setJavascriptProperty(BeanClass bean, String propertyName, Object value)
    Specified by:
      `setJavascriptProperty` in class `BeanFactory<BeanClass extends BaseWidget>`

  - ### setNativeProperty

    protected void setNativeProperty(BeanClass bean, String propertyName, Object value)

  - ### setNativeAttribute

    protected void setNativeAttribute(JavaScriptObject config, String propertyName, Object value)

  - ### getJavascriptProperty

    protected Object getJavascriptProperty(BeanClass bean, String property)
    Specified by:
      `getJavascriptProperty` in class `BeanFactory<BeanClass extends BaseWidget>`

  - ### doGetOrCreateJsObj

    public JavaScriptObject doGetOrCreateJsObj(Object bean)
    Specified by:
      `doGetOrCreateJsObj` in class `BeanFactory<BeanClass extends BaseWidget>`

  - ### doSetJsObj

    public void doSetJsObj(Object bean, JavaScriptObject jsObj)
    Specified by:
      `doSetJsObj` in class `BeanFactory<BeanClass extends BaseWidget>`

  - ### isFactoryCreated

    public boolean isFactoryCreated(BeanClass bean)
    Specified by:
      `isFactoryCreated` in class `BeanFactory<BeanClass extends BaseWidget>`

  - ### applyFactoryProperties

    protected void applyFactoryProperties(BeanClass bean)
    Specified by:
      `applyFactoryProperties` in class `BeanFactory<BeanClass extends BaseWidget>`